package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainPleaseApproveResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.poi.ss.formula.functions.T;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstrainPleaseApproveResultMapper extends IBaseMapper<TmstrainPleaseApproveResult, BigDecimal> {
    //查询所有的请车作业 状态码为 0
    List<Map<String, Object>> getAllWagonPlease(Map<String, Object> mapValue);

    //通过Id查询请车作业
    List<Map<String, Object>> getWagonPleaseById(Integer resultId);

    //新增请车作业
    int insertSelective(TmstrainPleaseApproveResult tmstrainPleaseApproveResult);

    //修改 、删除、下发请车作业、修改批车作业
    int updateByPrimaryKeySelective(TmstrainPleaseApproveResult tmstrainPleaseApproveResult);

    //查询所有批车计划 状态码为 2
    List<Map<String, Object>> getAllApproveWagonPlease(Map<String, Object> mapValue);

    //通过Id查询批车作业
    List<Map<String, Object>> getApproveWagonPleaseById(Integer resultId);

    //获取最大ID主键值
    @Select("select seq_tmstrian_please_approve.nextval from dual")
    BigDecimal selectMaxId();

    //获取收货单位
    List<Map<String, Object>> getShipper();

    //获取发运计划
    List<Map<String, Object>> getRailPlan();

    //根据用户id查找用户
    String selectPersonNameByPersonnelId(Integer personnelId);

   //查询请车计划
    List<Map<String,Object>> selectPleaseApprovePlanForConverted(Map<String,Object> map);

    //获取发站/到站下拉框
    List<Map<String,Object>> getArrivalSend();

    //获取请车计划号下拉框
    List<Map<String,Object>> getPleasePlanNo();

    //通过id查询请车作业
    List<Map<String,Object>> selectPleasePlanByResultId(Integer resultId);

   //通过id查询批车作业
    List<Map<String,Object>> selectApproveBYResultId(Integer resultId);
}