package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainWagonUnloadResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstrainWagonUnloadResultMapper extends IBaseMapper<TmstrainWagonUnloadResult, BigDecimal> {
    //查询所有卸车作业信息
    List<Map<String, Object>> getTmsWagonUnLoadInfo(Map<String,Object>map);
    //查询主键最大值
    @Select("select seq_tmstrian_wagon_unload.nextval from dual")
    BigDecimal selectMaxId();
    //获得采购订单id
    BigDecimal getPurchaseOrderId(String resultWagonNo);
    //查询火运实绩
    List<Map<String, Object>> getTmstrainResult(Map<String,Object>map);
    //获得卸车地点名称
    List<Map<String, Object>> getUnloadingPointName();
    //获得卸车路线名称
    List<Map<String, Object>> getUnloadingRouteName();
    //获得要渲染的数据
    List<Map<String, Object>> selectByUnLoadingId(BigDecimal unloadingId);

    //内转物流查询卸车实绩
    List<Map<String,Object>> selectWagonUnLoadResult(Map<String,Object> map);

    //内转物流查询火车卸货实绩
    List<Map<String,Object>> getTrainResult(Map<String,Object> map);
}